RPMKEYS(8)

NUME

rpmkeys - inel de chei RPM

SINOPSIS

rpmkeys {-K|--checksig} [opțiuni] FIȘIER_PACHET ...

rpmkeys {-d|--delete|-e|--erase} [opțiuni] AMPRENTA_DIGITALĂ ...

rpmkeys {-x|--export} [opțiuni] [AMPRENTA_DIGITALĂ ...]

rpmkeys {-i|--import} [opțiuni] CHEIA_PUBLICĂ ...

rpmkeys {-l|--list} [opțiuni] [AMPRENTA_DIGITALĂ ...]

rpmkeys --rebuild [opțiuni] opțiuni-reconstruire]

DESCRIERE

rpmkeys este utilizat pentru manipularea inelului de chei rpm și verificarea semnăturilor digitale ale pachetelor cu cheile conținute.

Pentru toate operațiile disponibile, a se vedea OPERAȚII.

OPERAȚII

-K, --checksig
    Verifică sumele de control și semnăturile conținute în FIȘIER_PACHET pentru a asigura integritatea și originea pachetului.

-d, --delete, -e, --erase
    Șterge cheile desemnate prin AMPRENTA_DIGITALĂ. Opțiunile --delete și -d sunt depreciate.

-x, --export
    Afișează cheile desemnate de AMPRENTA_DIGITALĂ folosind o codificare blindată-ASCII. Dacă AMPRENTA_DIGITALĂ nu este specificată, afișează toate cheile.

--import
    Importă chei publice blindate ASCII. Semnăturile digitale nu pot fi verificate fără cheia publică corespunzătoare (aka certificat).

-l, --list
    Listează cheile publice importate în prezent (aka certificate) după amprenta lor digitală și ID-ul utilizatorului. Dacă nu sunt specificate amprente digitale, listează toate cheile.

--rebuild
    Recreează stocul cheilor publice. Actualizează la cel mai recent format și înlătură cheile care nu pot fi citite.

ARGUMENTE

AMPRENTA_DIGITALĂ
    Operatorul utilizat pentru toate operațiile asupra cheilor.
FIȘIER_PACHET
    Un fișier pachet rpm sau un manifest.
CHEIA_PUBLICĂ
    O cheie publică OpenPGP blindată-ASCII (aka certificat)

OPȚIUNI

Consultați rpm-common(8) pentru opțiunile comune tuturor executabilelor rpm.

OPȚIUNI RECONSTRUIRE

--from <fs|openpgp|rpmdb>
    Utilizează cheile din motorul de cifrare specificat pentru a reconstrui motorul de cifrare al stocului de chei configurat în prezent.. Aceasta poate fi utilizată pentru a converti de la o stocare de chei la alta.

IEȘIRE
--checksig
    <_FIȘIER_PACHET_>: <element> <element> <OK|NOT OK>

    Cu --verbose:
    <_FIȘIER_PACHET_>:
        <element>: <OK|NOTFOUND|BAD>
        ...

--list
    <AMPRENTA_DIGITALĂ> <nume> <id-utilizator> CHEIA_PUBLICĂ

CONFIGURARE

Există mai multe elemente configurabile care afectează comportamentul acestei verificări, consultați rpm-config(5) pentru detalii:
•   %_keyring
•   %_keyringpath
•   %_pkgverify_flags
•   %_pkgverify_level

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

EXEMPLE

rpmkeys --export 771b18d3d7baa28734333c424344591e1964c5fc | sq inspect
    Exportă cheia 771b18d3d7baa28734333c424344591e1964c5fc pentru inspectarea cu sequoia-sq.

rpmkeys --erase 771b18d3d7baa28734333c424344591e1964c5fc
    Șterge cheia 771b18d3d7baa28734333c424344591e1964c5fc din inelul de chei.

rpmkeys -K hello-2.0-1.x86_64.rpm
    Verifică fișierul pachetului hello-2.0-1.x86_64.rpm.

CONSULTAȚI ȘI
popt(3), rpm(8), rpm-common(8), rpm-config(5), rpmsign(1)

rpmkeys --help - deoarece rpm(8) acceptă personalizarea opțiunilor prin intermediul numelor alias de „popt”, este imposibil să se garanteze că ceea ce este descris în manual corespunde cu ceea ce este disponibil.

http://www.rpm.org/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.